Summary
Gets all known automations
Description
Gets all known automations returned in alphabetical order
Route
GET /automation_catalog/automations
Roles
admin
other
readonly
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| queryParameters |
object |
yes |
Options for query parameters |
Copied to Clipboard
{
"type": "object",
"properties": {
"queryParameters": {
"title": "queryParameters",
"type": "object"
}
},
"required": [
"queryParameters"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
array |
List of all automation documents |
Copied to Clipboard
{
"list": [
{
"_id": "db24f75bec15c80d0c6d3b07",
"name": "test",
"data": {
"gbac": {
"write": [
"beacaf6441aba5b5aae2e4ed",
"6d0a70cb2920151faeb55dfc",
"8755ffdd5923f9010b795f13",
"9d5997e2ee9b9ae4276a207b",
"699523e54b09dc0f99dfe6c5"
],
"read": [
"85f8793314f4d38c3bd2e0ca",
"fcffb91b81558bf230f70b8d"
]
},
"lastUpdated": "2019-11-25T22:51:39.201Z",
"description": "culpa dolor",
"workflowId": "8e3695fe-c5bf-4286-ae83-186b3fea1c1a",
"formId": "f114c49d111832ee2d823360"
},
"lastModifiedBy": "qui deserunt",
"lastRunAt": "2019-11-25T22:51:39.201Z",
"nextRunAt": "2019-11-25T22:51:39.201Z",
"repeatInterval": "1 hour",
"migratedToOM": false,
"correspondingOMAutomationId": "d19eaf2686ca44dab08399b3"
},
{
"_id": "bd7e033fdc60c64812da3257",
"name": "test",
"data": {
"gbac": {
"write": [
"8716d3f4abaf45ebe098e28d",
"b2b1d0e46b017395c8d392d2"
],
"read": [
"b65981f583205e0c92b7159e",
"aded0271f80ba94dd58f5f7f",
"1eba1208f90b7b865b6424c1",
"4f56b6078bc64575bed2853a",
"948cfe9589ea7db18f658eec"
]
},
"lastUpdated": "2019-11-25T22:51:39.201Z",
"description": "dolor non dolore est",
"workflowId": "8e3695fe-c5bf-4286-ae83-186b3fea1c1a",
"formId": "e239d697527b687f6e808c42"
},
"lastModifiedBy": "ut amet dolore",
"lastRunAt": "2019-11-25T22:51:39.201Z",
"nextRunAt": "2019-11-25T22:51:39.201Z",
"repeatInterval": "1 hour",
"migratedToOM": true,
"correspondingOMAutomationId": "6915fe3865eb567aabdf9fdf"
}
],
"total": 52010081,
"skip": 52273416,
"limit": 53989620
}
Copied to Clipboard
{
"title": "result",
"type": "object",
"properties": {
"list": {
"type": "array",
"items": {
"$ref": "automationDocument"
}
},
"total": {
"type": "integer"
},
"skip": {
"type": "integer"
},
"limit": {
"type": "integer"
}
}
}